<?php
// $Id: scaffold.admin.inc,v 1.1.2.1 2010/08/21 14:56:10 jide Exp $

/**
 * @file
 * Scaffold administration pages.
 */

/**
 * General settings form.
 */
function scaffold_settings_form(&$form_state) {
  $form = array();

  $config = variable_get('scaffold', _scaffold_get_defaults());

  $form['scaffold'] = array(
    '#tree' => TRUE,
  );

  $form['scaffold']['production'] = array(
    '#type' => 'checkbox',
    '#title' => t('Production Mode'),
    '#description' => t('When developing themes, disable production mode. Parsing errors will be displayed. Disable in production.'),
    '#default_value' => $config['production'],
  );
	/*
  $form['scaffold']['load_paths'] = array(
    '#type' => 'textarea',
    '#title' => t('Load paths'),
    '#description' => t('Load paths.'),
    '#default_value' => $config['load_paths'],
  );
	*/
  $form['scaffold']['output_compression'] = array(
    '#type' => 'checkbox',
    '#title' => t('Output compression'),
    '#default_value' => $config['output_compression'],
  );

  $form['scaffold']['set_etag'] = array(
    '#type' => 'checkbox',
    '#title' => t('Set etag'),
    '#default_value' => $config['set_etag'],
  );
  
  $form['scaffold']['enable_string'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable string'),
    '#default_value' => $config['enable_string'],
  );
  
  $form['scaffold']['enable_url'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable url'),
    '#default_value' => $config['enable_url'],
  );
	
  $form['scaffold']['extensions'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Extensions'),
    // @todo : when extensions are added through a hook, they should be enabled by default
    // or through an option.
    '#default_value' => $config['extensions'],
  );
  
	$extensions = array_merge(array(
		'AbsoluteUrls',
		'Embed',
		'Functions',
		'HSL',
		'ImageReplace',
		'Minify',
		'Properties',
		'Random',
		'Import',
		'Mixins',
		'NestedSelectors',
		'Variables',
	), module_invoke_all('scaffold_extensions'));

	if ($extension = module_invoke($theme_key, 'scaffold_extensions')) {
		$extensions[] = $extension;
	}

	$available_extensions = array();
	foreach ($extensions as $extension) {
		$form['scaffold']['extensions']['#options'][$extension] = $extension;
	}
  
  return system_settings_form($form);
}
